Bug 822926 - Review Request: katello-cli - client package for Katello
Review Request: katello-cli - client package for Katello
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Miroslav Suchý
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-18 10:21 EDT by Lukas Zapletal
Modified: 2016-02-08 18:43 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-08 18:43:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
msuchy: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Lukas Zapletal 2012-05-18 10:21:37 EDT
Spec URL: http://lzap.fedorapeople.org/fedora-packaging/katello-cli/0.2.36-1/katello-cli.spec
SRPM URL: http://lzap.fedorapeople.org/fedora-packaging/katello-cli/0.2.36-1/katello-cli-0.2.36-1.fc18.src.rpm
Description: 
Provides a client package for managing application life-cycle for 
Linux systems with Katello

http://www.katello.org
http://lzap.fedorapeople.org/fedora-packaging/katello-cli/0.2.36-1/
http://koji.fedoraproject.org/koji/taskinfo?taskID=4086371

$ rpmlint *rpm
katello-cli-common.noarch: W: no-documentation
katello-cli.src: W: invalid-url Source0: katello-cli-0.2.36.tar.gz
3 packages and 0 specfiles checked; 0 errors, 2 warnings.

The tarball can be prepared from our git using "tito" rpm releasing tool, I think I need to add comment above the Source line.

Please note the SPEC is in the upstream itself, for this reason the changelog is the upstream changelog.
Comment 1 Miroslav Suchý 2012-05-21 13:23:44 EDT
rpmlint katello-cli-0.2.36-1.fc18.src.rpm

katello-cli.src: W: invalid-url Source0: katello-cli-0.2.36.tar.gz


http://fedoraproject.org/wiki/Packaging:SourceURL
Please either provide in comment description how to create this tar.gz (git clone, tito build --tgz) or upload tar.gz to some public web. I prefer the later.
Since your project is hosted on fedorahosted.org you can do:
  scp katello-cli-0.2.36.tar.gz fedorahosted.org:katello
it will be then available as:
  https://fedorahosted.org/releases/k/a/katello/%{name}-%{version}.tar.gz


rpmlint katello-cli-common-0.2.36-1.fc18.noarch.rpm
katello-cli-common.noarch: W: no-documentation
1 packages and 0 specfiles checked; 0 errors, 1 warnings.




[!]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
     Note: Using both %{buildroot} and $RPM_BUILD_ROOT


[!]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean is needed only if supporting EPEL


[!]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: defattr(....) present in %files common section. This is OK if
     packaging for EPEL5. Otherwise not needed
I know that you do not plan to support EPEL5, so please remove it.
http://fedoraproject.org/wiki/Packaging/Guidelines#FilePermissions

[!]: SHOULD Spec use %global instead of %define.
     Note: %define base_name katello %define katello_requires python-iniparse
     python-simplejson python-kerberos m2crypto PyXML
See: http://fedoraproject.org/wiki/Packaging:Guidelines#.25global_preferred_over_.25define


>%attr(755,root,root)
>%attr(644,root,root)
This is default - no need to specify it here.


>pushd man
>popd
Why this? This is IMHO noop.
Comment 2 Lukas Zapletal 2012-05-25 09:38:33 EDT
Mirek, thanks for your time. All fixed, except the last one (pushd man/popd), I think it is appropriate to use it as I expect more commands in the build section later on.

Please note version bumped a bit, because we use tito and guys are working on the package. Hope that's not an issue for ya.

http://koji.fedoraproject.org/koji/taskinfo?taskID=4100590

http://lzap.fedorapeople.org/fedora-packaging/katello-cli/0.2.38-1/katello-cli-0.2.38-1.fc18.src.rpm

http://lzap.fedorapeople.org/fedora-packaging/katello-cli/0.2.38-1/katello-cli.spec

ps - "Note: Clean is needed only if supporting EPEL" - I hope for EPEL6 we don't need it anymore, removing.
Comment 3 Lukas Zapletal 2012-05-25 09:40:33 EDT
ps - And we will be releasing tarballs with community releases, I am going to push all packages into the master so far. Once they are all there, we can switch to a community version (and tarballs). Many packages to go... THANKS.
Comment 4 Miroslav Suchý 2012-08-03 13:13:19 EDT
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== Generic ====
[x]: EXTRA Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: EXTRA Spec file according to URL is the same as in SRPM.
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[-]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Sources contain only permissible code or content.
[x]: MUST %config files are marked noreplace or the reason is justified.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[-]: MUST Package contains desktop file if it is a GUI application.
[-]: MUST Development files must be in a -devel package
[!]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Fully versioned dependency in subpackages, if present.
[x]: MUST Package complies to the Packaging Guidelines
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[-]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[!]: MUST License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "UNKNOWN", "*No copyright* UNKNOWN", "GPL (v3 or later)" 
[x]: MUST License file installed when any subpackage combination is installed.
[x]: MUST Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: MUST Package is named using only allowed ascii characters.
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST No %config files under /usr.
[x]: MUST Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[!]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[-]: MUST Package is not relocatable.
[x]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains systemd file(s) if in need.
[x]: MUST File names are valid UTF-8.
[x]: SHOULD Reviewer should test that the package builds in mock.
[-]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: SHOULD Package functions as described.
[!]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD SourceX / PatchY prefixed with %{name}.
[x]: SHOULD SourceX is a working URL.
[-]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[-]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[-]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.

Rpmlint
-------
Checking: katello-cli-0.2.38-1.fc14.noarch.rpm
          katello-cli-common-0.2.38-1.fc14.noarch.rpm
          katello-cli-0.2.38-1.fc14.src.rpm
katello-cli.noarch: W: non-executable-in-bin /usr/bin/katello-debug-certificates 0644L
katello-cli.noarch: E: non-executable-script /usr/bin/katello-debug-certificates 0644L /bin/bash
katello-cli.noarch: W: non-executable-in-bin /usr/bin/katello 0644L
katello-cli.noarch: E: non-executable-script /usr/bin/katello 0644L /usr/bin/python
katello-cli-common.noarch: W: no-documentation
katello-cli.src:28: W: macro-in-comment %{name}
katello-cli.src:28: W: macro-in-comment %{version}
katello-cli.src: W: invalid-url Source0: katello-cli-0.2.38.tar.gz
3 packages and 0 specfiles checked; 2 errors, 6 warnings.


All this rpmlint warnings and error are fixed in recent upstream version.
Please rebase to recent version

Only oustanding issues remains:
[!]: MUST Package must own all directories that it creates.
%config(noreplace) %{_sysconfdir}/%{base_name}/client.conf
but this package neither own %{_sysconfdir}/%{base_name} nor require package, which owns this directory

[!]: MUST License field in the package spec file matches the actual license.
src/katello/client/shell.py
contains GPLv3 header, but package is marked as GPLv2
Comment 5 Lukas Zapletal 2012-08-15 06:45:23 EDT
Fixes pushed upstream for review.

https://github.com/Katello/katello/pull/465
Comment 6 Lukas Zapletal 2012-08-16 09:46:24 EDT
Everything fixed:

http://lzap.fedorapeople.org/fedora-packaging/katello-cli/1.1.2-1/
Comment 7 Miroslav Suchý 2012-08-17 05:11:49 EDT
> %files common
> %{_sysconfdir}/%{base_name}

This should be:

%files common
%dir %{_sysconfdir}/%{base_name}

as /etc/katello/client.conf is now owned by both katello-cli and katello-cli-common

Everything else looks good.
Comment 8 Lukas Zapletal 2012-08-23 08:27:33 EDT
https://github.com/Katello/katello/pull/502

Thanks for the fix. Can you APPROVE now? ;-)
Comment 9 Miroslav Suchý 2012-08-23 09:59:40 EDT
APPROVED
Comment 10 Lukas Zapletal 2012-09-03 07:12:22 EDT
New Package SCM Request
=======================
Package Name: katello-cli
Short Description: Client package for Katello
Owners: lzap msuchy
Branches: f16 f17 el6
InitialCC:
Comment 11 Lukas Zapletal 2012-09-03 07:31:00 EDT
Adding f18 as well:

New Package SCM Request
=======================
Package Name: katello-cli
Short Description: Client package for Katello
Owners: lzap msuchy
Branches: f16 f17 f18 el6
InitialCC:
Comment 12 Gwyn Ciesla 2012-09-03 13:23:21 EDT
Git done (by process-git-requests).
Comment 13 Lukas Zapletal 2012-09-04 08:16:56 EDT
https://github.com/Katello/katello/pull/576
Comment 14 Lukas Zapletal 2012-09-04 08:17:20 EDT
Oh sorry ignore it ^
Comment 15 Fedora Update System 2012-09-04 08:21:19 EDT
katello-cli-1.1.5-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/katello-cli-1.1.5-1.el6
Comment 16 Fedora Update System 2012-09-04 08:23:24 EDT
katello-cli-1.1.5-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/katello-cli-1.1.5-1.fc16
Comment 17 Fedora Update System 2012-09-04 08:24:02 EDT
katello-cli-1.1.5-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/katello-cli-1.1.5-1.fc17
Comment 18 Fedora Update System 2012-09-04 09:34:10 EDT
katello-cli-1.1.5-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/katello-cli-1.1.5-1.fc18
Comment 19 Fedora Update System 2012-09-04 12:53:22 EDT
katello-cli-1.1.5-1.fc18 has been pushed to the Fedora 18 testing repository.

Note You need to log in before you can comment on or make changes to this bug.